acinclude.m4: add a function to help checking sdl-config, gtk-config
authorLuigi Rizzo <rizzo@icir.org>
Sat, 17 Nov 2007 01:49:26 +0000 (01:49 +0000)
committerLuigi Rizzo <rizzo@icir.org>
Sat, 17 Nov 2007 01:49:26 +0000 (01:49 +0000)
and the like (this could be used for gtk and gtk2 as well)
Other files: add tests for sdl, sdl_image and avcodec and regenerate
configure and autoconfig.h.in

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@89351 65c4cc65-6c06-0410-ace0-fbb531ad65f3

acinclude.m4
configure
configure.ac
include/asterisk/autoconfig.h.in
makeopts.in

index ca589d3..6fc394a 100644 (file)
@@ -152,6 +152,23 @@ fi
 ])
 
 
+# check for a tool using xxx-config
+# AST_EXT_TOOL_CHECK([package symbol name], [package library name], [symbol], [version])
+AC_DEFUN([AST_EXT_TOOL_CHECK],
+[
+PBX_$1=0
+AC_CHECK_TOOL(CONFIG_$1, $2-config, No)
+if test ! "x${CONFIG_$1}" = xNo; then
+   $1_INCLUDE=$(${CONFIG_$1} --cflags $3)
+   $1_LIB=$(${CONFIG_$1} --libs $3)
+   PBX_$1=1
+   AC_DEFINE([HAVE_$1], 1, [Define if your system has the $1 libraries.])
+fi
+AC_SUBST(PBX_$1)
+AC_SUBST($1_INCLUDE)
+AC_SUBST($1_LIB)
+])
+
 AC_DEFUN(
 [AST_CHECK_GNU_MAKE], [AC_CACHE_CHECK(for GNU make, GNU_MAKE,
    GNU_MAKE='Not Found' ;
index 44265d4..11f5113 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 88250 .
+# From configure.ac Revision: 89350 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -901,6 +901,18 @@ ZAPTEL_VLDTMF_LIB
 ZAPTEL_VLDTMF_INCLUDE
 ZAPTEL_VLDTMF_DIR
 PBX_ZAPTEL_VLDTMF
+SDL_LIB
+SDL_INCLUDE
+SDL_DIR
+PBX_SDL
+SDL_IMAGE_LIB
+SDL_IMAGE_INCLUDE
+SDL_IMAGE_DIR
+PBX_SDL_IMAGE
+FFMPEG_LIB
+FFMPEG_INCLUDE
+FFMPEG_DIR
+PBX_FFMPEG
 ALLOCA
 LIBOBJS
 POW_LIB
@@ -926,6 +938,7 @@ QTMOC
 EDITLINE_LIB
 PBX_H323
 PBX_IXJUSER
+CONFIG_SDL
 GTKCONFIG
 PBX_GTK
 GTK_INCLUDE
@@ -1578,6 +1591,9 @@ Optional Packages:
                           use Zaptel_transcode files in PATH
   --with-zaptel_vldtmf=PATH
                           use Zaptel_vldtmf files in PATH
+  --with-sdl=PATH         use Sdl files in PATH
+  --with-SDL_image=PATH   use Sdl Image library files in PATH
+  --with-avcodec=PATH     use Ffmpeg and avcodec library files in PATH
 
 Some influential environment variables:
   CC          C compiler command
@@ -4020,7 +4036,7 @@ case "${host_os}" in
      OSARCH=SunOS
      ;;
      *)
-     OSARCH=${HOST_OS}
+     OSARCH=${host_os}
      ;;
 esac
 
@@ -8948,6 +8964,91 @@ PBX_ZAPTEL_VLDTMF=0
 
 
 
+
+SDL_DESCRIP="Sdl"
+SDL_OPTION="sdl"
+
+# Check whether --with-sdl was given.
+if test "${with_sdl+set}" = set; then
+  withval=$with_sdl;
+case ${withval} in
+     n|no)
+     USE_SDL=no
+     ;;
+     y|ye|yes)
+     ac_mandatory_list="${ac_mandatory_list} SDL"
+     ;;
+     *)
+     SDL_DIR="${withval}"
+     ac_mandatory_list="${ac_mandatory_list} SDL"
+     ;;
+esac
+
+fi
+
+PBX_SDL=0
+
+
+
+
+
+
+SDL_IMAGE_DESCRIP="Sdl Image library"
+SDL_IMAGE_OPTION="SDL_image"
+
+# Check whether --with-SDL_image was given.
+if test "${with_SDL_image+set}" = set; then
+  withval=$with_SDL_image;
+case ${withval} in
+     n|no)
+     USE_SDL_IMAGE=no
+     ;;
+     y|ye|yes)
+     ac_mandatory_list="${ac_mandatory_list} SDL_IMAGE"
+     ;;
+     *)
+     SDL_IMAGE_DIR="${withval}"
+     ac_mandatory_list="${ac_mandatory_list} SDL_IMAGE"
+     ;;
+esac
+
+fi
+
+PBX_SDL_IMAGE=0
+
+
+
+
+
+
+FFMPEG_DESCRIP="Ffmpeg and avcodec library"
+FFMPEG_OPTION="avcodec"
+
+# Check whether --with-avcodec was given.
+if test "${with_avcodec+set}" = set; then
+  withval=$with_avcodec;
+case ${withval} in
+     n|no)
+     USE_FFMPEG=no
+     ;;
+     y|ye|yes)
+     ac_mandatory_list="${ac_mandatory_list} FFMPEG"
+     ;;
+     *)
+     FFMPEG_DIR="${withval}"
+     ac_mandatory_list="${ac_mandatory_list} FFMPEG"
+     ;;
+esac
+
+fi
+
+PBX_FFMPEG=0
+
+
+
+
+
+
 # check for basic system features and functionality before
 # checking for package libraries
 
@@ -12159,13 +12260,11 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/types.h> /* for off_t */
-     #include <stdio.h>
+#include <stdio.h>
 int
 main ()
 {
-int (*fp) (FILE *, off_t, int) = fseeko;
-     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
+return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
   ;
   return 0;
 }
@@ -12205,13 +12304,11 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #define _LARGEFILE_SOURCE 1
-#include <sys/types.h> /* for off_t */
-     #include <stdio.h>
+#include <stdio.h>
 int
 main ()
 {
-int (*fp) (FILE *, off_t, int) = fseeko;
-     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
+return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
   ;
   return 0;
 }
 done
 
 
+
+for ac_func in glob
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+
 # https support (in main/http.c) uses funopen on BSD systems,
 # fopencookie on linux
 
@@ -55504,60 +55696,851 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: h323.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: h323.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: h323.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: h323.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: h323.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: h323.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: h323.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: h323.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: h323.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: h323.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: h323.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: h323.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: h323.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for h323.h" >&5
+echo $ECHO_N "checking for h323.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_h323_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_h323_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_h323_h" >&5
+echo "${ECHO_T}$ac_cv_header_h323_h" >&6; }
+
+fi
+if test $ac_cv_header_h323_h = yes; then
+  PBX_H323=1
+else
+  PBX_H323=0
+fi
+
+
+
+
+if test "${ac_cv_header_linux_compiler_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for linux/compiler.h" >&5
+echo $ECHO_N "checking for linux/compiler.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_linux_compiler_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_compiler_h" >&5
+echo "${ECHO_T}$ac_cv_header_linux_compiler_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking linux/compiler.h usability" >&5
+echo $ECHO_N "checking linux/compiler.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <linux/compiler.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking linux/compiler.h presence" >&5
+echo $ECHO_N "checking linux/compiler.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <linux/compiler.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: linux/compiler.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: linux/compiler.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: linux/compiler.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: linux/compiler.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: linux/compiler.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: linux/compiler.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: linux/compiler.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: linux/compiler.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for linux/compiler.h" >&5
+echo $ECHO_N "checking for linux/compiler.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_linux_compiler_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_linux_compiler_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_compiler_h" >&5
+echo "${ECHO_T}$ac_cv_header_linux_compiler_h" >&6; }
+
+fi
+if test $ac_cv_header_linux_compiler_h = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_LINUX_COMPILER_H 1
+_ACEOF
+
+fi
+
+
+
+{ echo "$as_me:$LINENO: checking for linux/ixjuser.h" >&5
+echo $ECHO_N "checking for linux/ixjuser.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_linux_ixjuser_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+                                  #include <linux/version.h>
+                                  #ifdef HAVE_LINUX_COMPILER_H
+                                  #include <linux/compiler.h>
+                                  #endif
+
+
+#include <linux/ixjuser.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_header_linux_ixjuser_h=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_header_linux_ixjuser_h=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_ixjuser_h" >&5
+echo "${ECHO_T}$ac_cv_header_linux_ixjuser_h" >&6; }
+if test $ac_cv_header_linux_ixjuser_h = yes; then
+  PBX_IXJUSER=1
+else
+  PBX_IXJUSER=0
+fi
+
+
+
+
+
+PBX_SDL=0
+if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}sdl-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}sdl-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_CONFIG_SDL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$CONFIG_SDL"; then
+  ac_cv_prog_CONFIG_SDL="$CONFIG_SDL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_CONFIG_SDL="${ac_tool_prefix}sdl-config"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+CONFIG_SDL=$ac_cv_prog_CONFIG_SDL
+if test -n "$CONFIG_SDL"; then
+  { echo "$as_me:$LINENO: result: $CONFIG_SDL" >&5
+echo "${ECHO_T}$CONFIG_SDL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_CONFIG_SDL"; then
+  ac_ct_CONFIG_SDL=$CONFIG_SDL
+  # Extract the first word of "sdl-config", so it can be a program name with args.
+set dummy sdl-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_CONFIG_SDL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_CONFIG_SDL"; then
+  ac_cv_prog_ac_ct_CONFIG_SDL="$ac_ct_CONFIG_SDL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_CONFIG_SDL="sdl-config"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_CONFIG_SDL=$ac_cv_prog_ac_ct_CONFIG_SDL
+if test -n "$ac_ct_CONFIG_SDL"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_CONFIG_SDL" >&5
+echo "${ECHO_T}$ac_ct_CONFIG_SDL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_CONFIG_SDL" = x; then
+    CONFIG_SDL="No"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    CONFIG_SDL=$ac_ct_CONFIG_SDL
+  fi
+else
+  CONFIG_SDL="$ac_cv_prog_CONFIG_SDL"
+fi
+
+if test ! "x${CONFIG_SDL}" = xNo; then
+   SDL_INCLUDE=$(${CONFIG_SDL} --cflags )
+   SDL_LIB=$(${CONFIG_SDL} --libs )
+   PBX_SDL=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SDL 1
+_ACEOF
+
+fi
+
+
+
+
+
+if test "x${PBX_SDL_IMAGE}" != "x1" -a "${USE_SDL_IMAGE}" != "no"; then
+   pbxlibdir=""
+   if test "x${SDL_IMAGE_DIR}" != "x"; then
+      if test -d ${SDL_IMAGE_DIR}/lib; then
+        pbxlibdir="-L${SDL_IMAGE_DIR}/lib"
+      else
+        pbxlibdir="-L${SDL_IMAGE_DIR}"
+      fi
+   fi
+   pbxfuncname="IMG_Load"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_SDL_IMAGE_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_SDL_image_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lSDL_image" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lSDL_image... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lSDL_image ${pbxlibdir} ${SDL_LIB} $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_SDL_IMAGE_FOUND=yes
+else
+  AST_SDL_IMAGE_FOUND=no
+fi
+
+   fi
+
+   if test "${AST_SDL_IMAGE_FOUND}" = "yes"; then
+      SDL_IMAGE_LIB="-lSDL_image ${SDL_LIB}"
+      SDL_IMAGE_HEADER_FOUND="1"
+      if test "x${SDL_IMAGE_DIR}" != "x"; then
+         SDL_IMAGE_LIB="${pbxlibdir} ${SDL_IMAGE_LIB}"
+        SDL_IMAGE_INCLUDE="-I${SDL_IMAGE_DIR}/include"
+        saved_cppflags="${CPPFLAGS}"
+        CPPFLAGS="${CPPFLAGS} -I${SDL_IMAGE_DIR}/include"
+        if test "xSDL/SDL_image.h" != "x" ; then
+           as_ac_Header=`echo "ac_cv_header_${SDL_IMAGE_DIR}/include/SDL/SDL_image.h" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h" >&5
+echo $ECHO_N "checking for ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h usability" >&5
+echo $ECHO_N "checking ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <${SDL_IMAGE_DIR}/include/SDL/SDL_image.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h presence" >&5
+echo $ECHO_N "checking ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <${SDL_IMAGE_DIR}/include/SDL/SDL_image.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h" >&5
+echo $ECHO_N "checking for ${SDL_IMAGE_DIR}/include/SDL/SDL_image.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  SDL_IMAGE_HEADER_FOUND=1
+else
+  SDL_IMAGE_HEADER_FOUND=0
+fi
+
+
+        fi
+        CPPFLAGS="${saved_cppflags}"
+      else
+        if test "xSDL/SDL_image.h" != "x" ; then
+            if test "${ac_cv_header_SDL_SDL_image_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for SDL/SDL_image.h" >&5
+echo $ECHO_N "checking for SDL/SDL_image.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_SDL_SDL_image_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_SDL_SDL_image_h" >&5
+echo "${ECHO_T}$ac_cv_header_SDL_SDL_image_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking SDL/SDL_image.h usability" >&5
+echo $ECHO_N "checking SDL/SDL_image.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <SDL/SDL_image.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking SDL/SDL_image.h presence" >&5
+echo $ECHO_N "checking SDL/SDL_image.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <SDL/SDL_image.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: h323.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: h323.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: h323.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: h323.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: h323.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: h323.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: h323.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: h323.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: SDL/SDL_image.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: SDL/SDL_image.h: in the future, the compiler will take precedence" >&2;}
 
     ;;
 esac
-{ echo "$as_me:$LINENO: checking for h323.h" >&5
-echo $ECHO_N "checking for h323.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_h323_h+set}" = set; then
+{ echo "$as_me:$LINENO: checking for SDL/SDL_image.h" >&5
+echo $ECHO_N "checking for SDL/SDL_image.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_SDL_SDL_image_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_h323_h=$ac_header_preproc
+  ac_cv_header_SDL_SDL_image_h=$ac_header_preproc
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_h323_h" >&5
-echo "${ECHO_T}$ac_cv_header_h323_h" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_header_SDL_SDL_image_h" >&5
+echo "${ECHO_T}$ac_cv_header_SDL_SDL_image_h" >&6; }
 
 fi
-if test $ac_cv_header_h323_h = yes; then
-  PBX_H323=1
+if test $ac_cv_header_SDL_SDL_image_h = yes; then
+  SDL_IMAGE_HEADER_FOUND=1
 else
-  PBX_H323=0
+  SDL_IMAGE_HEADER_FOUND=0
 fi
 
 
+        fi
+      fi
+      if test "x${SDL_IMAGE_HEADER_FOUND}" = "x0" ; then
+         SDL_IMAGE_LIB=""
+         SDL_IMAGE_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           SDL_IMAGE_LIB=""
+        fi
+         PBX_SDL_IMAGE=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
 
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SDL_IMAGE 1
+_ACEOF
 
-if test "${ac_cv_header_linux_compiler_h+set}" = set; then
-  { echo "$as_me:$LINENO: checking for linux/compiler.h" >&5
-echo $ECHO_N "checking for linux/compiler.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_linux_compiler_h+set}" = set; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SDL_IMAGE_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+if test "x${PBX_FFMPEG}" != "x1" -a "${USE_FFMPEG}" != "no"; then
+   pbxlibdir=""
+   if test "x${FFMPEG_DIR}" != "x"; then
+      if test -d ${FFMPEG_DIR}/lib; then
+        pbxlibdir="-L${FFMPEG_DIR}/lib"
+      else
+        pbxlibdir="-L${FFMPEG_DIR}"
+      fi
+   fi
+   pbxfuncname="sws_getContext"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_FFMPEG_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_avcodec_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lavcodec" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lavcodec... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lavcodec ${pbxlibdir} -lpthread -lz -lm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_compiler_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_compiler_h" >&6; }
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_FFMPEG_FOUND=yes
+else
+  AST_FFMPEG_FOUND=no
+fi
+
+   fi
+
+   if test "${AST_FFMPEG_FOUND}" = "yes"; then
+      FFMPEG_LIB="-lavcodec -lpthread -lz -lm"
+      FFMPEG_HEADER_FOUND="1"
+      if test "x${FFMPEG_DIR}" != "x"; then
+         FFMPEG_LIB="${pbxlibdir} ${FFMPEG_LIB}"
+        FFMPEG_INCLUDE="-I${FFMPEG_DIR}/include"
+        saved_cppflags="${CPPFLAGS}"
+        CPPFLAGS="${CPPFLAGS} -I${FFMPEG_DIR}/include"
+        if test "xffmpeg/avcodec.h" != "x" ; then
+           as_ac_Header=`echo "ac_cv_header_${FFMPEG_DIR}/include/ffmpeg/avcodec.h" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for ${FFMPEG_DIR}/include/ffmpeg/avcodec.h" >&5
+echo $ECHO_N "checking for ${FFMPEG_DIR}/include/ffmpeg/avcodec.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 else
   # Is the header compilable?
-{ echo "$as_me:$LINENO: checking linux/compiler.h usability" >&5
-echo $ECHO_N "checking linux/compiler.h usability... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking ${FFMPEG_DIR}/include/ffmpeg/avcodec.h usability" >&5
+echo $ECHO_N "checking ${FFMPEG_DIR}/include/ffmpeg/avcodec.h usability... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -55565,7 +56548,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <linux/compiler.h>
+#include <${FFMPEG_DIR}/include/ffmpeg/avcodec.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -55597,15 +56580,15 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 echo "${ECHO_T}$ac_header_compiler" >&6; }
 
 # Is the header present?
-{ echo "$as_me:$LINENO: checking linux/compiler.h presence" >&5
-echo $ECHO_N "checking linux/compiler.h presence... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking ${FFMPEG_DIR}/include/ffmpeg/avcodec.h presence" >&5
+echo $ECHO_N "checking ${FFMPEG_DIR}/include/ffmpeg/avcodec.h presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <linux/compiler.h>
+#include <${FFMPEG_DIR}/include/ffmpeg/avcodec.h>
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
 case "(($ac_try" in
@@ -55638,68 +56621,71 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: linux/compiler.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: linux/compiler.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: linux/compiler.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: linux/compiler.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: linux/compiler.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: linux/compiler.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: linux/compiler.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: linux/compiler.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: linux/compiler.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: ${FFMPEG_DIR}/include/ffmpeg/avcodec.h: in the future, the compiler will take precedence" >&2;}
 
     ;;
 esac
-{ echo "$as_me:$LINENO: checking for linux/compiler.h" >&5
-echo $ECHO_N "checking for linux/compiler.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_linux_compiler_h+set}" = set; then
+{ echo "$as_me:$LINENO: checking for ${FFMPEG_DIR}/include/ffmpeg/avcodec.h" >&5
+echo $ECHO_N "checking for ${FFMPEG_DIR}/include/ffmpeg/avcodec.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_linux_compiler_h=$ac_header_preproc
+  eval "$as_ac_Header=\$ac_header_preproc"
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_compiler_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_compiler_h" >&6; }
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 
 fi
-if test $ac_cv_header_linux_compiler_h = yes; then
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_LINUX_COMPILER_H 1
-_ACEOF
-
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  FFMPEG_HEADER_FOUND=1
+else
+  FFMPEG_HEADER_FOUND=0
 fi
 
 
-
-{ echo "$as_me:$LINENO: checking for linux/ixjuser.h" >&5
-echo $ECHO_N "checking for linux/ixjuser.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_linux_ixjuser_h+set}" = set; then
+        fi
+        CPPFLAGS="${saved_cppflags}"
+      else
+        if test "xffmpeg/avcodec.h" != "x" ; then
+            if test "${ac_cv_header_ffmpeg_avcodec_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for ffmpeg/avcodec.h" >&5
+echo $ECHO_N "checking for ffmpeg/avcodec.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_ffmpeg_avcodec_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_ffmpeg_avcodec_h" >&5
+echo "${ECHO_T}$ac_cv_header_ffmpeg_avcodec_h" >&6; }
 else
-  cat >conftest.$ac_ext <<_ACEOF
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking ffmpeg/avcodec.h usability" >&5
+echo $ECHO_N "checking ffmpeg/avcodec.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
-                                  #include <linux/version.h>
-                                  #ifdef HAVE_LINUX_COMPILER_H
-                                  #include <linux/compiler.h>
-                                  #endif
-
-
-#include <linux/ixjuser.h>
+$ac_includes_default
+#include <ffmpeg/avcodec.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -55718,25 +56704,124 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_cv_header_linux_ixjuser_h=yes
+  ac_header_compiler=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_header_linux_ixjuser_h=no
+       ac_header_compiler=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking ffmpeg/avcodec.h presence" >&5
+echo $ECHO_N "checking ffmpeg/avcodec.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ffmpeg/avcodec.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_ixjuser_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_ixjuser_h" >&6; }
-if test $ac_cv_header_linux_ixjuser_h = yes; then
-  PBX_IXJUSER=1
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ffmpeg/avcodec.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: ffmpeg/avcodec.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for ffmpeg/avcodec.h" >&5
+echo $ECHO_N "checking for ffmpeg/avcodec.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_ffmpeg_avcodec_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  PBX_IXJUSER=0
+  ac_cv_header_ffmpeg_avcodec_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_ffmpeg_avcodec_h" >&5
+echo "${ECHO_T}$ac_cv_header_ffmpeg_avcodec_h" >&6; }
+
+fi
+if test $ac_cv_header_ffmpeg_avcodec_h = yes; then
+  FFMPEG_HEADER_FOUND=1
+else
+  FFMPEG_HEADER_FOUND=0
 fi
 
 
+        fi
+      fi
+      if test "x${FFMPEG_HEADER_FOUND}" = "x0" ; then
+         FFMPEG_LIB=""
+         FFMPEG_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           FFMPEG_LIB=""
+        fi
+         PBX_FFMPEG=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_FFMPEG 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_FFMPEG_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
 
 
 PBX_GTK=0
@@ -57149,15 +58234,15 @@ ZAPTEL_VLDTMF_LIB!$ZAPTEL_VLDTMF_LIB$ac_delim
 ZAPTEL_VLDTMF_INCLUDE!$ZAPTEL_VLDTMF_INCLUDE$ac_delim
 ZAPTEL_VLDTMF_DIR!$ZAPTEL_VLDTMF_DIR$ac_delim
 PBX_ZAPTEL_VLDTMF!$PBX_ZAPTEL_VLDTMF$ac_delim
-ALLOCA!$ALLOCA$ac_delim
-LIBOBJS!$LIBOBJS$ac_delim
-POW_LIB!$POW_LIB$ac_delim
-GC_CFLAGS!$GC_CFLAGS$ac_delim
-GC_LDFLAGS!$GC_LDFLAGS$ac_delim
-AST_DECLARATION_AFTER_STATEMENT!$AST_DECLARATION_AFTER_STATEMENT$ac_delim
-GSM_INTERNAL!$GSM_INTERNAL$ac_delim
-KDEINIT!$KDEINIT$ac_delim
-KDEDIR!$KDEDIR$ac_delim
+SDL_LIB!$SDL_LIB$ac_delim
+SDL_INCLUDE!$SDL_INCLUDE$ac_delim
+SDL_DIR!$SDL_DIR$ac_delim
+PBX_SDL!$PBX_SDL$ac_delim
+SDL_IMAGE_LIB!$SDL_IMAGE_LIB$ac_delim
+SDL_IMAGE_INCLUDE!$SDL_IMAGE_INCLUDE$ac_delim
+SDL_IMAGE_DIR!$SDL_IMAGE_DIR$ac_delim
+PBX_SDL_IMAGE!$PBX_SDL_IMAGE$ac_delim
+FFMPEG_LIB!$FFMPEG_LIB$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -57199,6 +58284,18 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+FFMPEG_INCLUDE!$FFMPEG_INCLUDE$ac_delim
+FFMPEG_DIR!$FFMPEG_DIR$ac_delim
+PBX_FFMPEG!$PBX_FFMPEG$ac_delim
+ALLOCA!$ALLOCA$ac_delim
+LIBOBJS!$LIBOBJS$ac_delim
+POW_LIB!$POW_LIB$ac_delim
+GC_CFLAGS!$GC_CFLAGS$ac_delim
+GC_LDFLAGS!$GC_LDFLAGS$ac_delim
+AST_DECLARATION_AFTER_STATEMENT!$AST_DECLARATION_AFTER_STATEMENT$ac_delim
+GSM_INTERNAL!$GSM_INTERNAL$ac_delim
+KDEINIT!$KDEINIT$ac_delim
+KDEDIR!$KDEDIR$ac_delim
 NETSNMP_CONFIG!$NETSNMP_CONFIG$ac_delim
 PG_CONFIG!$PG_CONFIG$ac_delim
 PTLIB_CONFIG!$PTLIB_CONFIG$ac_delim
@@ -57215,6 +58312,7 @@ QTMOC!$QTMOC$ac_delim
 EDITLINE_LIB!$EDITLINE_LIB$ac_delim
 PBX_H323!$PBX_H323$ac_delim
 PBX_IXJUSER!$PBX_IXJUSER$ac_delim
+CONFIG_SDL!$CONFIG_SDL$ac_delim
 GTKCONFIG!$GTKCONFIG$ac_delim
 PBX_GTK!$PBX_GTK$ac_delim
 GTK_INCLUDE!$GTK_INCLUDE$ac_delim
@@ -57227,7 +58325,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 26; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 39; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -57689,6 +58787,10 @@ echo "$as_me: Package configured for: " >&6;}
 echo "$as_me: OS type  : $host_os" >&6;}
 { echo "$as_me:$LINENO: Host CPU : $host_cpu" >&5
 echo "$as_me: Host CPU : $host_cpu" >&6;}
+{ echo "$as_me:$LINENO: build-cpu:vendor:os: $build_cpu : $build_vendor : $build_os :" >&5
+echo "$as_me: build-cpu:vendor:os: $build_cpu : $build_vendor : $build_os :" >&6;}
+{ echo "$as_me:$LINENO: host-cpu:vendor:os: $host_cpu : $host_vendor : $host_os :" >&5
+echo "$as_me: host-cpu:vendor:os: $host_cpu : $host_vendor : $host_os :" >&6;}
 if test "${cross_compiling}" = "yes"; then
    { echo "$as_me:$LINENO: Cross Compilation = YES" >&5
 echo "$as_me: Cross Compilation = YES" >&6;}
index 6d7c0e3..e00bc33 100644 (file)
@@ -228,6 +228,10 @@ AST_EXT_LIB_SETUP([ZAPTEL], [Zaptel], [zaptel])
 AST_EXT_LIB_SETUP([ZAPTEL_TRANSCODE], [Zaptel_transcode], [zaptel_transcode])
 AST_EXT_LIB_SETUP([ZAPTEL_VLDTMF], [Zaptel_vldtmf], [zaptel_vldtmf])
 
+AST_EXT_LIB_SETUP([SDL], [Sdl], [sdl])
+AST_EXT_LIB_SETUP([SDL_IMAGE], [Sdl Image library], [SDL_image])
+AST_EXT_LIB_SETUP([FFMPEG], [Ffmpeg and avcodec library], [avcodec])
+
 # check for basic system features and functionality before
 # checking for package libraries
 
@@ -1152,6 +1156,10 @@ AC_CHECK_HEADER([linux/ixjuser.h], [PBX_IXJUSER=1], [PBX_IXJUSER=0], [
                                   ])
 AC_SUBST(PBX_IXJUSER)
 
+AST_EXT_TOOL_CHECK([SDL], [sdl])
+AST_EXT_LIB_CHECK([SDL_IMAGE], [SDL_image], [IMG_Load], [SDL/SDL_image.h], [${SDL_LIB}])
+AST_EXT_LIB_CHECK([FFMPEG], [avcodec], [sws_getContext], [ffmpeg/avcodec.h], [-lpthread -lz -lm])
+
 PBX_GTK=0
 AC_CHECK_TOOL(GTKCONFIG, gtk-config, No)
 if test ! "x${GTKCONFIG}" = xNo; then
index 43ee4a9..5245a95 100644 (file)
 /* Define to 1 if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H
 
+/* Define this to indicate the ${FFMPEG_DESCRIP} library */
+#undef HAVE_FFMPEG
+
+/* Define to indicate the ${FFMPEG_DESCRIP} library version */
+#undef HAVE_FFMPEG_VERSION
+
 /* Define this to indicate the ${FLOOR_DESCRIP} library */
 #undef HAVE_FLOOR
 
 /* Define RTLD_NOLOAD headers version */
 #undef HAVE_RTLD_NOLOAD_VERSION
 
+/* Define if your system has the SDL libraries. */
+#undef HAVE_SDL
+
+/* Define this to indicate the ${SDL_IMAGE_DESCRIP} library */
+#undef HAVE_SDL_IMAGE
+
+/* Define to indicate the ${SDL_IMAGE_DESCRIP} library version */
+#undef HAVE_SDL_IMAGE_VERSION
+
 /* Define to 1 if you have the `select' function. */
 #undef HAVE_SELECT
 
index 76ca94a..f06e425 100644 (file)
@@ -144,6 +144,15 @@ QT_LIB=@QT_LIB@
 RADIUS_INCLUDE=@RADIUS_INCLUDE@
 RADIUS_LIB=@RADIUS_LIB@
 
+FFMPEG_INCLUDE=@FFMPEG_INCLUDE@
+FFMPEG_LIB=@FFMPEG_LIB@
+
+SDL_INCLUDE=@SDL_INCLUDE@
+SDL_LIB=@SDL_LIB@
+
+SDL_IMAGE_INCLUDE=@SDL_IMAGE_INCLUDE@
+SDL_IMAGE_LIB=@SDL_IMAGE_LIB@
+
 SPEEX_INCLUDE=@SPEEX_INCLUDE@
 SPEEX_LIB=@SPEEX_LIB@